let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/3wgjw9v5winw82i96a1bhfzrif2362y9-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/vlvi6lvl3zdk4ddn6fpbz0r42q7mqmkn-coreutils-8.31/bin";
  bzip2 = "/nix/store/g7q8hlpv8p0r16s5z9465sjw1mf8scnw-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/xfsw3idzzbs69rq4ppg5xyd0axnl99px-gzip-1.10/bin/gzip";
  xz = "/nix/store/ya4ppawlzv7r1jv1f4xshda6mmylhnvf-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/iah7yipn0x803dp8n65rws4h6vhmayya-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/vlvi6lvl3zdk4ddn6fpbz0r42q7mqmkn-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/lrnvapsqmf0ja6zfyx4cpxr7ahdr7f9b-nix-2.3.3/bin";
  nixPrefix = "/nix/store/lrnvapsqmf0ja6zfyx4cpxr7ahdr7f9b-nix-2.3.3";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/lrnvapsqmf0ja6zfyx4cpxr7ahdr7f9b-nix-2.3.3/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
